Name of the client. One of ‘migros_ch’, ‘migipedia’.
Adds and subscribes a new profile by email address to a newsletter.
DEPRECATEDTo get a full list of supported fields for a given client you can call /newsletter/clients/{clientName}.{_format}.
post
https://api.migros.ch/migros/customers/subscriptions/v8/newsletter/clients/{client}/profiles/subscriptions
Path Parameters
clientstringrequired
Body
application/x-www-form-urlencoded
Body
application/x-www-form-urlencoded
citystring
emailstringrequired
The email address to subscribe.
first_namestring
genderstring
interests[]array[string]
Health interests
languagestring
Language the newsletter should be subscribed in.
last_namestring
migros_newsletter_idinteger
Internal newsletter used by Migros
salutationstring
usernamestring
zipinteger
Response
200
Response
200
Returned when successful
post/migros/customers/subscriptions/v8/newsletter/clients/{client}/profiles/subscriptions
Authentication
Path Parameters
Body
{
"email": "email"
}
200
AbstractCollection
A generic collection of elements.
NewsletterClientConfiguration
objectA newsletter client configuration.
fieldsarray[object]
A newsletter client field.
Show Child Parameters
namestringrequired
Example
NewsletterClientConfigurationCollection
objectA collection of NewsletterClientConfiguration instances.
clientsarray[object]required
A newsletter client configuration.
Show Child Parameters
Example
NewsletterClientConfigurationField
objectA newsletter client field.
formatstring
A regular expression describing the field’s value format
Example for validating a date: /^(19[0-9]{2}|2[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$/
multi_valueboolean
Whether field supports multiple values or not.
namestringrequired
Name of the field.
requiredboolean
Whether field is required or not.
Example